# Krampus GT

# Plot

On Christmas Eve, Santa is preparing to load his sleigh with presents only to
find that they have been stolen! With his trusty sidekick, Cyber Rude-Olf, he
sets out to return them to their rightful place and save Christmas.

# Controls

Also see `options.cfg` for controlling audio/mouse sensitivity.
- Mouse/Left/Right - Turn
- Mouse Left Button/Space - Shoot
- W/A/S/D - Strafe
- Escape - Quit

# Building instructions

1. Install Allegro 5.
2. Install Rust from rust-lang.org. You'll need the nightly version.
3. Run `cargo run --release` to build and run the game.

On Windows, you can use the pre-built binaries (extracted in the `allegro`
subdirectory). `run_msys.sh` may be useful for this purpose.

# Wishes

This game was created as a Secret Santa gift, and had to implement the 
following wishes:

1. You must slay Krampus for the end boss and save Christmas.

This is done in the final level.

2. Multiple choice for characters would be nice - eg. Santa / Elf / Reindeer 
with different abilities if possible.

You can play as Santa or Rude-Olf.

3. Learn modeling if not too challenging and use an .obj file format 
(exportable from blender or many other 3D tools) - note you don't have to use 
3D in the game. 2D sprites generated from 3D models are fine.

I learned how to sculpt and vertex paint in Blender. I didn't use the .obj 
format, but the often better .gtlf. Most of the graphics are indeed prerendered.

# Credits

Fonts: See `data/` directory for ReadMe files.

Open 24 Display St.ttf
GAMEPLAY-1987.ttf


Sounds:

https://freesound.org/people/Animadierer/sounds/590049/
https://freesound.org/people/deleted_user_3737200/sounds/203075/
https://freesound.org/people/Robinhood76/sounds/612277/
https://freesound.org/people/jackthemurray/sounds/433588/
https://freesound.org/people/Audionautics/sounds/171655/
https://freesound.org/people/studiomandragore/sounds/401628/
https://freesound.org/people/Saviraz/sounds/504140/
https://freesound.org/people/Aurelon/sounds/422633/
https://freesound.org/people/Under7dude/sounds/163441/
https://freesound.org/people/InspectorJ/sounds/411492/
https://freesound.org/people/iamaviolin/sounds/463033/
https://freesound.org/people/D4XX/sounds/607226/
https://freesound.org/people/juliandmc4/sounds/443560/
https://freesound.org/people/RadicalAns/sounds/522175/
https://freesound.org/people/skymary/sounds/412016/
https://freesound.org/people/knova/sounds/169670/
https://freesound.org/people/IDKAKF/sounds/554258/
https://freesound.org/people/qubodup/sounds/60013/
https://freesound.org/people/iujhu/sounds/269847/
https://freesound.org/people/derplayer/sounds/587188/
https://freesound.org/people/finix473/sounds/546974/
https://freesound.org/people/soundmary/sounds/194932/
https://freesound.org/people/GJ55GB/sounds/488348/
https://freesound.org/people/Legnalegna55/sounds/547344/
https://freesound.org/people/Tomlija/sounds/106553/
https://freesound.org/people/Mordecai666/sounds/579818/
https://freesound.org/people/msantoro11/sounds/351113/
https://freesound.org/people/Moulaythami/sounds/535478/
https://freesound.org/people/PrimeJunt/sounds/135632/
https://freesound.org/people/MrAuralization/sounds/274846/
https://freesound.org/people/anagar/sounds/267932/
https://freesound.org/people/Zott820/sounds/370344/
https://freesound.org/people/LordForklift/sounds/448394/
Music:

https://modarchive.org/index.php?request=view_by_moduleid&query=170000
https://modarchive.org/index.php?request=view_by_moduleid&query=37197
https://modarchive.org/index.php?request=view_by_moduleid&query=170001
https://modarchive.org/index.php?request=view_by_moduleid&query=60154

# License

GPL-v3
